Bug 114249 - compile time problems
Summary: compile time problems
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-25 13:39 UTC by d.binderman
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 12:55:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-25 13:39:40 UTC
Description of problem:

I just tried to compile package gedit-2.4.0-3, from Redhat
Fedora Core 1.

The compiler said

1.

gedit-encodings-dialog.c(523): warning #140: too many arguments in
function call

The source code is

	update_list (dialog);

but, earlier in the same file

static void
update_list ()
{

Suggest remove parameter dialog.

2.

gedit-prefs-manager.c(323): remark #592: variable "color" is used
before its value is set

The source code is

        GdkColor color;

        gedit_debug (DEBUG_PREFS, "");

        g_return_val_if_fail (client != NULL, color);

Suggest initialise color before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marco Pesenti Gritti 2004-10-15 12:55:54 UTC
Trivial patch UPSTREAM

http://bugzilla.gnome.org/show_bug.cgi?id=155499


Note You need to log in before you can comment on or make changes to this bug.